Get Deployment Domain Name for a resource kind
- GET /platform/configuration/networking/deployment_domain_name/{resource_kind}
Gets Deployment Domain Name configuration value for a resource kind.
Path Parameters
-
resource_kindrequired -
The kind of resource you want to manage a Deployment Domain Name for.
-
Values:
elasticsearchkibanaapmappsearchenterprise_searchintegrations_server
Responses
The Deployment Domain Name was successfully retrieved
-
valuestringrequired -
The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
There is no configured Deployment Domain Name but optimistic locking was sent. (code: networking.cname.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response